/// <reference types="react" />
declare const _default: import("styled-components").IStyledComponent<"web", {
    dropdownPrefixCls?: string | undefined;
    dataSource?: readonly object[] | undefined;
    columns?: import("antd").TableColumnsType<object> | undefined;
    pagination?: false | import("antd").TablePaginationConfig | undefined;
    loading?: boolean | import("antd").SpinProps | undefined;
    size?: import("antd/es/button").ButtonSize;
    bordered?: boolean | undefined;
    locale?: import("antd/es/table/interface").TableLocale | undefined;
    rootClassName?: string | undefined;
    onChange?: ((pagination: import("antd").TablePaginationConfig, filters: Record<string, import("antd/es/table/interface").FilterValue | null>, sorter: import("antd/es/table/interface").SorterResult<object> | import("antd/es/table/interface").SorterResult<object>[], extra: import("antd/es/table/interface").TableCurrentDataSource<object>) => void) | undefined;
    rowSelection?: import("antd/es/table/interface").TableRowSelection<object> | undefined;
    getPopupContainer?: import("antd/es/table/interface").GetPopupContainer | undefined;
    scroll?: ({
        x?: string | number | true | undefined;
        y?: string | number | undefined;
    } & {
        scrollToFirstRowOnChange?: boolean | undefined;
    }) | undefined;
    sortDirections?: import("antd/es/table/interface").SortOrder[] | undefined;
    showSorterTooltip?: boolean | import("antd").TooltipProps | undefined;
    caption?: import("react").ReactNode;
    footer?: import("rc-table/lib/interface").PanelRender<object> | undefined;
    style?: import("react").CSSProperties | undefined;
    summary?: ((data: readonly object[]) => import("react").ReactNode) | undefined;
    title?: import("rc-table/lib/interface").PanelRender<object> | undefined;
    className?: string | undefined;
    id?: string | undefined;
    children?: import("react").ReactNode;
    direction?: import("rc-table/lib/interface").Direction | undefined;
    tableLayout?: import("rc-table/lib/interface").TableLayout | undefined;
    prefixCls?: string | undefined;
    expandable?: import("rc-table/lib/interface").ExpandableConfig<object> | undefined;
    onExpand?: ((expanded: boolean, record: object) => void) | undefined;
    sticky?: boolean | import("rc-table/lib/interface").TableSticky | undefined;
    expandedRowKeys?: import("react").Key[] | undefined;
    defaultExpandedRowKeys?: import("react").Key[] | undefined;
    expandedRowRender?: import("rc-table/lib/interface").ExpandedRowRender<object> | undefined;
    expandRowByClick?: boolean | undefined;
    expandIcon?: import("rc-table/lib/interface").RenderExpandIcon<object> | undefined;
    onExpandedRowsChange?: ((expandedKeys: import("react").Key[]) => void) | undefined;
    defaultExpandAllRows?: boolean | undefined;
    indentSize?: number | undefined;
    expandIconColumnIndex?: number | undefined;
    expandedRowClassName?: import("rc-table/lib/interface").RowClassName<object> | undefined;
    childrenColumnName?: string | undefined;
    rowKey?: string | import("rc-table/lib/interface").GetRowKey<object> | undefined;
    rowClassName?: string | import("rc-table/lib/interface").RowClassName<object> | undefined;
    showHeader?: boolean | undefined;
    components?: import("rc-table/lib/interface").TableComponents<object> | undefined;
    onRow?: import("rc-table/lib/interface").GetComponentProps<object> | undefined;
    onHeaderRow?: import("rc-table/lib/interface").GetComponentProps<readonly import("rc-table/lib/interface").ColumnType<object>[]> | undefined;
    ref?: import("react").Ref<HTMLDivElement> | undefined;
}>;
export default _default;
